package cn.citycraft.ProtectItem;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

import cn.citycraft.ProtectItem.listen.BreakBlockListen;
import cn.citycraft.ProtectItem.listen.DropItemListen;
import cn.citycraft.ProtectItem.listen.PickupItemListen;
import cn.citycraft.ProtectItem.listen.PlaceBlockListen;

public class Main extends JavaPlugin {
	public String servername;
	public String pluginname;

	public void onLoad() {
		saveDefaultConfig();
		reloadConfig();
		servername = getmessage("servername");
		pluginname = getmessage("pluginname") + " ";
	}

	public void onEnable() {
		if (getConfig().getBoolean("Protect.Drop", true))
			Bukkit.getPluginManager().registerEvents(new DropItemListen(this),
					this);
		if (getConfig().getBoolean("Protect.Pickup", true))
			Bukkit.getPluginManager().registerEvents(
					new PickupItemListen(this), this);
		if (getConfig().getBoolean("Protect.Break", true))
			Bukkit.getPluginManager().registerEvents(
					new BreakBlockListen(this), this);
		if (getConfig().getBoolean("Protect.Place", true))
			Bukkit.getPluginManager().registerEvents(
					new PlaceBlockListen(this), this);
		getLogger().info("ProtectItem已加载!");
	}

	public boolean checkevent(Player p, String i, String type) {
		if (p.hasPermission("pi.bypass"))
			return false;
		Location l = p.getLocation();
		World pw = l.getWorld();
		for (String protectworld : getConfig().getStringList("ProtectWorld")) {
			if (pw.getName().equalsIgnoreCase(protectworld))
				for (String protectitem : getConfig().getStringList(
						"ProtectItem")) {
					if (i.equalsIgnoreCase(protectitem)) {
						p.sendMessage(pluginname
								+ getmessage("Message." + type));
						return true;
					}
				}
		}
		return false;
	}

	public String getmessage(String path) {
		String message = getConfig().getString(path).replaceAll("&", "§");
		return message;
	}
}
